.header {
    margin-bottom: 13px;
}

.outer__container {
    font-family: 'Halvar', sans-serif;
    background: linear-gradient(90deg, #15C678 0%, #44E0AF 100%);
    margin-bottom: 43px;
}

.inner-container {
    background: url(/images/numbers1.png) left top no-repeat;
}

.inner-two-container {
    background: url(/images/numbers2.png) right top no-repeat;
}

.hero {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    max-width: 1245px;
    line-height: 1;
    position: relative;
    padding-top: 34px;

}

.hero__content {
    font-size: 32px;
    font-weight: 800;
    padding-bottom: 25px;
}

.hero__decoration {
    position: absolute;
    right: -60px;
    top: -40px;
}

.hero__image-mobile {
    display: none;
}

.hero__title {
    color: #FFFFFF;
    margin: 0;
}

.hero__title--green {
    color: #05544B;
}

.outer__search-container {
    font-family: 'Factor A', sans-serif;
    background: #3D63F9;
}

.content-wrapper {
    color: #FFFFFF;
    max-width: 1245px;
    margin-left: auto;
    margin-right: auto;
    padding-top: 49px;
    padding-bottom: 52px;
}

.welcome-message {
    font-size: 25px;
    text-align: center;
    line-height: 1.25;
    margin-bottom: 70px;
}

.welcome-message p {
    margin: 0;
}

.alphabet-list {
    font-family: 'Halvar', sans-serif;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 27px 14px;
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.alphabet-item {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    font-size: 32px;
    font-weight: 800;
}

.latin-alphabet .alphabet-item {
    background-color: #FF6200;
}

.alphabet-list .alphabet-item a {
    color: #FFFFFF;
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 1.5;
}

.cyrillic-alphabet .alphabet-item{
    background-color: #62C300;
}

.latin-alphabet .alphabet-list {
    padding-bottom: 66px;
    border-bottom: 4px solid #FFFFFF;
}

.cyrillic-alphabet .alphabet-list {
    margin-top: 61px;
}

.cyrillic-alphabet {
    margin-bottom: 76px;
}

.inner__search-container {
    background: url(/images/kiberwiki_images/numbers1.png) left bottom no-repeat;
}

.inner__search-two-container {
    background: url(/images/kiberwiki_images/numbers2.png) right bottom no-repeat;
}

.search-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.search-container {
    display: flex;
    max-width: 544px;
    width: 100%;
}

.search-title {
    margin: 0;
}

.search-header {
    font-size: 35px;
    margin-bottom: 16px;
}

.search-icon {
    background: #7300FF;
    padding: 21px 25px;
    cursor: pointer;
}

.search-input-wrapper {
    display: flex;
    flex-grow: 1;
    min-width: 0;
}

.search-input {
    flex-grow: 1;
    color: #0014AC;
    font-size: 35px;
    font-weight: 700;
    padding-left: 29px;
    min-width: 0;
}

.search-input:focus {
    outline: none;
}

.decor-image {
    position: absolute;
}

.decor-cloud {
    left: 26px;
    top: -34px;
}

.decor-network {
    right: 55px;
    top: 18px;
}

.decor-attention {
    z-index: 2;
    right: 10px;
    top: -14px; 
}

.list__container {
    margin-left: auto;
    margin-right: auto;
    max-width: 1245px;
    margin-top: 28px;
    margin-bottom: 80px;
}

.cards__list {
    display: flex;
    flex-direction: column;
    gap: 21px;
    margin-bottom: 70px;
}

.card {
    background: #FAFAFA;
    border: 1px solid #E6E6E6;
    padding-top: 20px;
    padding-left: 21px;
    padding-bottom: 30px;
    padding-right:21px;
}

.card__header {
    font-family: 'Halvar', sans-serif;
    margin-bottom: 22px;
}

.card__title {
    color: #343434;
    font-size: 35px;
    font-weight: 800;
    margin: 0;
}
.card__title a {
    color: #343434;
}

.card__body {
    font-family: 'Factor A', sans-serif;
}

.card__description {
    color: #414141;
    font-size: 20px;
    font-weight: 400;
    margin: 0;
}

.pagination__list {
    font-family: 'Halvar', sans-serif;
    display: flex;
    justify-content: center;
    gap: 25px;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.pagination__item {
    background-color: #346EFF;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 66px;
    height: 69px;
}

.pagination__item--active {
    background-color: #10CF90;
}

.pagination__link {
    color: #FFFFFF;
    width: 66px;
    height: 69px;
    text-align: center;
    font-size: 50px;
    font-weight: 800;
    line-height: 1.25;
}

@media (max-width: 1372px) {
    .hero__decoration {
        right: -20px;
    }
}

@media (max-width: 1290px) {
    .hero__decoration {
        right: 0px;
    }
    .hero {
        padding-left: 20px;
        padding-right: 20px;
    }
    .list__container {
        padding-left: 20px;
        padding-right: 20px;
    }
    .welcome-message {
        padding-left: 20px;
        padding-right: 20px;
    }
}

@media (max-width: 1145px) {
    .decor-image {
        display: none;
    }
}

@media (max-width: 1000px) {
    .hero__image {
        display: none;
    }
    .hero__image-mobile {
        display: block;
    }
    .hero__decoration {
        right: 10px;
        top: 10px;
    }
    .hero__title {
        font-size: 48px;
    }
}

@media (max-width: 550px) {
    .header {
        margin-bottom: 0;
    }
    .hero__title {
        font-size: 28px;
    }
    .hero {
        padding-top: 26px;
    }
    .hero__decoration {
        top: -2px;
    }
    .outer__container {
        margin-bottom: 26px;
    }
    .content-wrapper {
        padding-top: 21px;
    }
    .welcome-message {
        font-size: 14px;
        text-align: start;
    }
    .search-header {
        font-size: 20px;
    }
    .search-section {
        padding-left: 20px;
        padding-right: 20px;
    }
    .welcome-message {
        margin-bottom: 37px;
    }
    .alphabet-list {
        gap: 19px 6px;
    }
    .latin-alphabet .alphabet-list {
        padding-bottom: 28px;
    }
    .cyrillic-alphabet .alphabet-list {
        margin-top: 21px;
    }
    .inner-container {
        background: url(/images/kiberwiki_images/numbers1-mobile.png) left bottom no-repeat;
    }
    .inner-two-container {
        background: url(/images/kiberwiki_images/numbers2-mobile.png) right bottom no-repeat;
    }
    .inner__search-container {
        background: none;
    }
    .inner__search-two-container {
        background: none;
    }
    .cyrillic-alphabet {
        margin-bottom: 31px;
    }
    .outer__search-container {
        background: #3783E7;
    }
    .card__title {
        font-size: 26px;
    }
    .card__description {
        font-size: 16px;
    }
    .card__header {
        margin-bottom: 10px;
    }
    .pagination-container {
        display: none;
    }
}
